Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::IndexReaderWarmer Class Referenceabstract

If `getReader` has been called (ie, this writer is in near real-time mode), then after a merge completes, this class can be invoked to warm the reader on the newly merged segment, before the merge commits. This is not required for near real-time search, but will reduce search latency on opening a new near real-time reader after a merge completes. More...

`#include <IndexWriter.h>`

Inheritance diagram for Lucene::IndexReaderWarmer:

## Public Member Functions

virtual | ~IndexReaderWarmer ()
virtual String | getClassName ()
boost::shared_ptr< IndexReaderWarmer > | shared_from_this ()
virtual void | warm (const IndexReaderPtr &reader)=0
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

If `getReader` has been called (ie, this writer is in near real-time mode), then after a merge completes, this class can be invoked to warm the reader on the newly merged segment, before the merge commits. This is not required for near real-time search, but will reduce search latency on opening a new near real-time reader after a merge completes.

NOTE: warm is called before any deletes have been carried over to the merged segment.

## Constructor & Destructor Documentation

## ◆ ~IndexReaderWarmer()

virtual Lucene::IndexReaderWarmer::~IndexReaderWarmer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::IndexReaderWarmer::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::IndexReaderWarmer::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< IndexReaderWarmer > Lucene::IndexReaderWarmer::shared_from_this | ( |  | ) |

inline

## ◆ warm()

virtual void Lucene::IndexReaderWarmer::warm | ( | const IndexReaderPtr & | reader | ) |

pure virtual

The documentation for this class was generated from the following file:

- IndexWriter.h

clucene.sourceforge.net